Package fr.gouv.vitam.collect.internal.core.csv

# Class CsvMetadataUtils

java.lang.Object
fr.gouv.vitam.collect.internal.core.csv.CsvMetadataUtils

public class CsvMetadataUtils extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Pattern`
  `ALGORITHM_ATTR_VALUE_PATTERN`
  `static final String`
  `ALGORITHM_SUFFIX`
  `static final String`
  `API_FIELD_DESCRIPTION`
  `static final String`
  `API_FIELD_DESCRIPTION_`
  `static final String`
  `API_FIELD_TITLE`
  `static final String`
  `API_FIELD_TITLE_`
  `static final String`
  `ARCHIVE_UNIT_IDENTIFIER_KEY_API_FIELD`
  `static final String`
  `ARCHIVE_UNIT_PROFILE`
  `static final Pattern`
  `ARRAY_INDEX_PATTERN`
  `static final String`
  `ATTR_HEADER_NAME`
  `static final String`
  `ATTR_HEADER_NAME_SUFFIX`
  `static final String`
  `CONTENT`
  `static final String`
  `CONTENT_DESCRIPTION`
  `static final String`
  `CONTENT_DESCRIPTION_LEVEL`
  `static final Pattern`
  `CONTENT_DESCRIPTION_VALID_HEADER_NAME_PATTERN`
  `static final String`
  `CONTENT_SEPARATOR`
  `static final String`
  `CONTENT_SIGNATURE_REFERENCED_OBJECT_SIGNED_OBJECT_DIGEST`
  `static final String`
  `CONTENT_SIGNATURE_REFERENCED_OBJECT_SIGNED_OBJECT_DIGEST_ALGORITHM`
  `static final String`
  `CONTENT_SIGNATURE_REFERENCED_OBJECT_SIGNED_OBJECT_DIGEST_ATTR`
  `static final Pattern`
  `CONTENT_SIGNATURE_REFERENCED_OBJECT_SIGNED_OBJECT_DIGEST_ATTR_PATTERN`
  `static final String`
  `CONTENT_SIGNATURE_REFERENCED_OBJECT_SIGNED_OBJECT_DIGEST_MESSAGE_DIGEST`
  `static final String`
  `CONTENT_TITLE`
  `static final Pattern`
  `CONTENT_TITLE_VALID_HEADER_NAME_PATTERN`
  `static final String`
  `DESCRIPTION_LEVEL_API_FIELD`
  `static final String`
  `END_DATE_FIELD`
  `static final String`
  `FILE_HEADER`
  `static final Set<String>`
  `FORBIDDEN_CONTENT_SEDA_PATHS`
  `static final String`
  `HASH_PREFIX`
  `static final String`
  `IMPLICIT_0_ARRAY_INDEX`
  `static final Pattern`
  `LANG_ATTR_VALUE_PATTERN`
  `static final String`
  `MANAGEMENT`
  `static final String`
  `MANAGEMENT_FIELD`
  `static final String`
  `MANAGEMENT_SEPARATOR`
  `static final String`
  `MANAGEMENT_UPDATE_OPERATION`
  `static final String`
  `MANAGEMENT_UPDATE_OPERATION_API_PATH`
  `static final String`
  `MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY`
  `static final String`
  `MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY_API_PATH`
  `static final String`
  `MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY_METADATA_NAME`
  `static final String`
  `MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY_METADATA_NAME_API_PATH`
  `static final String`
  `MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY_METADATA_VALUE`
  `static final String`
  `MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY_METADATA_VALUE_API_PATH`
  `static final String`
  `MANAGEMENT_UPDATE_OPERATION_SYSTEM_ID`
  `static final String`
  `MANAGEMENT_UPDATE_OPERATION_SYSTEM_ID_API_PATH`
  `static final int`
  `MAX_HEADER_NAME_LENGTH`
  `static final String`
  `METADATA_NAME_API_FIELD`
  `static final String`
  `METADATA_VALUE_API_FIELD`
  `static final String`
  `OBJECT_FIlES_HEADER`
  `static final String`
  `RULE_FIELD_NAME`
  `static final String`
  `RULES_PREFIX`
  `static final String`
  `RULES_SEPARATOR_PREFIX`
  `static final Set<String>`
  `SEDA_EXTENSION_POINTS`
  `static final Set<String>`
  `SEDA_MANAGEMENT_SPECIAL_ARRAY_FIELDS`
  `static final Set<String>`
  `SEDA_MANAGEMENT_SPECIAL_RULE_PROPERTY_ARRAY_FIELDS`
  `static final String`
  `SEPARATOR`
  `static final char`
  `SEPARATOR_CHAR`
  `static final String`
  `SIGNED_OBJECT_DIGEST_MESSAGE_DIGEST_SUFFIX`
  `static final Pattern`
  `STARTS_WITH_DIGIT_PATTERN`
  `static final String`
  `SYSTEM_ID_API_FIELD`
  `static final String`
  `UPDATE_OPERATION_API_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CsvMetadataUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `buildPath(String basePath, String subPath)`
  `static boolean`
  `equalsOrStartsWith(String str, String prefix)`
  `static boolean`
  `isContentDescriptionField(String headerName)`
  `static boolean`
  `isContentField(String headerName)`
  `static boolean`
  `isContentTitleField(String headerName)`
  `static boolean`
  `isFileField(String headerName)`
  `static boolean`
  `isManagementField(String headerName)`
  `static boolean`
  `isManagementUpdateOperationField(String headerName)`
  `static boolean`
  `IsObjectFilesField(String headerName)`
  `static boolean`
  `matchesPattern(String value, Pattern pattern)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MAX_HEADER_NAME_LENGTH

    public static final int MAX_HEADER_NAME_LENGTH
    See Also:
      - Constant Field Values

  - ### SEPARATOR_CHAR

    public static final char SEPARATOR_CHAR
    See Also:
      - Constant Field Values

  - ### SEPARATOR

    public static final String SEPARATOR
    See Also:
      - Constant Field Values

  - ### HASH_PREFIX

    public static final String HASH_PREFIX
    See Also:
      - Constant Field Values

  - ### CONTENT

    public static final String CONTENT
    See Also:
      - Constant Field Values

  - ### CONTENT_SEPARATOR

    public static final String CONTENT_SEPARATOR
    See Also:
      - Constant Field Values

  - ### MANAGEMENT

    public static final String MANAGEMENT
    See Also:
      - Constant Field Values

  - ### MANAGEMENT_SEPARATOR

    public static final String MANAGEMENT_SEPARATOR
    See Also:
      - Constant Field Values

  - ### MANAGEMENT_FIELD

    public static final String MANAGEMENT_FIELD
    See Also:
      - Constant Field Values

  - ### ARCHIVE_UNIT_PROFILE

    public static final String ARCHIVE_UNIT_PROFILE
    See Also:
      - Constant Field Values

  - ### STARTS_WITH_DIGIT_PATTERN

    public static final Pattern STARTS_WITH_DIGIT_PATTERN

  - ### ARRAY_INDEX_PATTERN

    public static final Pattern ARRAY_INDEX_PATTERN

  - ### CONTENT_TITLE

    public static final String CONTENT_TITLE
    See Also:
      - Constant Field Values

  - ### CONTENT_TITLE_VALID_HEADER_NAME_PATTERN

    public static final Pattern CONTENT_TITLE_VALID_HEADER_NAME_PATTERN

  - ### CONTENT_DESCRIPTION

    public static final String CONTENT_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### CONTENT_DESCRIPTION_VALID_HEADER_NAME_PATTERN

    public static final Pattern CONTENT_DESCRIPTION_VALID_HEADER_NAME_PATTERN

  - ### CONTENT_DESCRIPTION_LEVEL

    public static final String CONTENT_DESCRIPTION_LEVEL
    See Also:
      - Constant Field Values

  - ### DESCRIPTION_LEVEL_API_FIELD

    public static final String DESCRIPTION_LEVEL_API_FIELD
    See Also:
      - Constant Field Values

  - ### SEDA_EXTENSION_POINTS

    public static final Set<String> SEDA_EXTENSION_POINTS

  - ### CONTENT_SIGNATURE_REFERENCED_OBJECT_SIGNED_OBJECT_DIGEST

    public static final String CONTENT_SIGNATURE_REFERENCED_OBJECT_SIGNED_OBJECT_DIGEST
    See Also:
      - Constant Field Values

  - ### CONTENT_SIGNATURE_REFERENCED_OBJECT_SIGNED_OBJECT_DIGEST_MESSAGE_DIGEST

    public static final String CONTENT_SIGNATURE_REFERENCED_OBJECT_SIGNED_OBJECT_DIGEST_MESSAGE_DIGEST
    See Also:
      - Constant Field Values

  - ### CONTENT_SIGNATURE_REFERENCED_OBJECT_SIGNED_OBJECT_DIGEST_ATTR

    public static final String CONTENT_SIGNATURE_REFERENCED_OBJECT_SIGNED_OBJECT_DIGEST_ATTR
    See Also:
      - Constant Field Values

  - ### CONTENT_SIGNATURE_REFERENCED_OBJECT_SIGNED_OBJECT_DIGEST_ALGORITHM

    public static final String CONTENT_SIGNATURE_REFERENCED_OBJECT_SIGNED_OBJECT_DIGEST_ALGORITHM
    See Also:
      - Constant Field Values

  - ### CONTENT_SIGNATURE_REFERENCED_OBJECT_SIGNED_OBJECT_DIGEST_ATTR_PATTERN

    public static final Pattern CONTENT_SIGNATURE_REFERENCED_OBJECT_SIGNED_OBJECT_DIGEST_ATTR_PATTERN

  - ### SIGNED_OBJECT_DIGEST_MESSAGE_DIGEST_SUFFIX

    public static final String SIGNED_OBJECT_DIGEST_MESSAGE_DIGEST_SUFFIX
    See Also:
      - Constant Field Values

  - ### ALGORITHM_SUFFIX

    public static final String ALGORITHM_SUFFIX
    See Also:
      - Constant Field Values

  - ### END_DATE_FIELD

    public static final String END_DATE_FIELD
    See Also:
      - Constant Field Values

  - ### SEDA_MANAGEMENT_SPECIAL_ARRAY_FIELDS

    public static final Set<String> SEDA_MANAGEMENT_SPECIAL_ARRAY_FIELDS

  - ### SEDA_MANAGEMENT_SPECIAL_RULE_PROPERTY_ARRAY_FIELDS

    public static final Set<String> SEDA_MANAGEMENT_SPECIAL_RULE_PROPERTY_ARRAY_FIELDS

  - ### MANAGEMENT_UPDATE_OPERATION

    public static final String MANAGEMENT_UPDATE_OPERATION
    See Also:
      - Constant Field Values

  - ### MANAGEMENT_UPDATE_OPERATION_API_PATH

    public static final String MANAGEMENT_UPDATE_OPERATION_API_PATH
    See Also:
      - Constant Field Values

  - ### MANAGEMENT_UPDATE_OPERATION_SYSTEM_ID

    public static final String MANAGEMENT_UPDATE_OPERATION_SYSTEM_ID
    See Also:
      - Constant Field Values

  - ### MANAGEMENT_UPDATE_OPERATION_SYSTEM_ID_API_PATH

    public static final String MANAGEMENT_UPDATE_OPERATION_SYSTEM_ID_API_PATH
    See Also:
      - Constant Field Values

  - ### MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY

    public static final String MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY
    See Also:
      - Constant Field Values

  - ### MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY_API_PATH

    public static final String MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY_API_PATH
    See Also:
      - Constant Field Values

  - ### MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY_METADATA_NAME

    public static final String MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY_METADATA_NAME
    See Also:
      - Constant Field Values

  - ### MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY_METADATA_NAME_API_PATH

    public static final String MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY_METADATA_NAME_API_PATH
    See Also:
      - Constant Field Values

  - ### MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY_METADATA_VALUE

    public static final String MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY_METADATA_VALUE
    See Also:
      - Constant Field Values

  - ### MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY_METADATA_VALUE_API_PATH

    public static final String MANAGEMENT_UPDATE_OPERATION_ARCHIVE_UNIT_IDENTIFIER_KEY_METADATA_VALUE_API_PATH
    See Also:
      - Constant Field Values

  - ### UPDATE_OPERATION_API_FIELD

    public static final String UPDATE_OPERATION_API_FIELD
    See Also:
      - Constant Field Values

  - ### SYSTEM_ID_API_FIELD

    public static final String SYSTEM_ID_API_FIELD
    See Also:
      - Constant Field Values

  - ### ARCHIVE_UNIT_IDENTIFIER_KEY_API_FIELD

    public static final String ARCHIVE_UNIT_IDENTIFIER_KEY_API_FIELD
    See Also:
      - Constant Field Values

  - ### METADATA_NAME_API_FIELD

    public static final String METADATA_NAME_API_FIELD
    See Also:
      - Constant Field Values

  - ### METADATA_VALUE_API_FIELD

    public static final String METADATA_VALUE_API_FIELD
    See Also:
      - Constant Field Values

  - ### LANG_ATTR_VALUE_PATTERN

    public static final Pattern LANG_ATTR_VALUE_PATTERN

  - ### ALGORITHM_ATTR_VALUE_PATTERN

    public static final Pattern ALGORITHM_ATTR_VALUE_PATTERN

  - ### ATTR_HEADER_NAME

    public static final String ATTR_HEADER_NAME
    See Also:
      - Constant Field Values

  - ### ATTR_HEADER_NAME_SUFFIX

    public static final String ATTR_HEADER_NAME_SUFFIX
    See Also:
      - Constant Field Values

  - ### FILE_HEADER

    public static final String FILE_HEADER
    See Also:
      - Constant Field Values

  - ### OBJECT_FIlES_HEADER

    public static final String OBJECT_FIlES_HEADER
    See Also:
      - Constant Field Values

  - ### API_FIELD_TITLE

    public static final String API_FIELD_TITLE
    See Also:
      - Constant Field Values

  - ### API_FIELD_TITLE_

    public static final String API_FIELD_TITLE_
    See Also:
      - Constant Field Values

  - ### API_FIELD_DESCRIPTION

    public static final String API_FIELD_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### API_FIELD_DESCRIPTION_

    public static final String API_FIELD_DESCRIPTION_
    See Also:
      - Constant Field Values

  - ### RULE_FIELD_NAME

    public static final String RULE_FIELD_NAME
    See Also:
      - Constant Field Values

  - ### RULES_PREFIX

    public static final String RULES_PREFIX
    See Also:
      - Constant Field Values

  - ### RULES_SEPARATOR_PREFIX

    public static final String RULES_SEPARATOR_PREFIX
    See Also:
      - Constant Field Values

  - ### IMPLICIT_0_ARRAY_INDEX

    public static final String IMPLICIT_0_ARRAY_INDEX
    See Also:
      - Constant Field Values

  - ### FORBIDDEN_CONTENT_SEDA_PATHS

    public static final Set<String> FORBIDDEN_CONTENT_SEDA_PATHS

- ## Constructor Details

  - ### CsvMetadataUtils

    public CsvMetadataUtils()

- ## Method Details

  - ### buildPath

    public static String buildPath(String basePath, String subPath)

  - ### isFileField

    public static boolean isFileField(String headerName)

  - ### IsObjectFilesField

    public static boolean IsObjectFilesField(String headerName)

  - ### isContentField

    public static boolean isContentField(String headerName)

  - ### isManagementField

    public static boolean isManagementField(String headerName)

  - ### isManagementUpdateOperationField

    public static boolean isManagementUpdateOperationField(String headerName)

  - ### isContentTitleField

    public static boolean isContentTitleField(String headerName)

  - ### isContentDescriptionField

    public static boolean isContentDescriptionField(String headerName)

  - ### matchesPattern

    public static boolean matchesPattern(String value, Pattern pattern)

  - ### equalsOrStartsWith

    public static boolean equalsOrStartsWith(String str, String prefix)